# Interface ICefScrollView

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefScrollView = interface(ICefView)`

## Description

A ScrollView will show horizontal and/or vertical scrollbars when necessary based on the size of the attached content view. Methods must be called on the browser process UI thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_scroll_view_capi.h">CEF source file: /include/capi/views/cef_scroll_view_capi.h (cef_scroll_view_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefView
- ICefScrollView

## Overview

### Methods

| `procedure SetContentView(const view: ICefView);`
| `function GetContentView: ICefView;`
| `function GetVisibleContentRect: TCefRect;`
| `function HasHorizontalScrollbar: boolean;`
| `function GetHorizontalScrollbarHeight: Integer;`
| `function HasVerticalScrollbar: boolean;`
| `function GetVerticalScrollbarWidth: Integer;`

### Properties

| `property ContentView : ICefView read GetContentView write SetContentView;`
| `property VisibleContentRect : TCefRect read GetVisibleContentRect;`
| `property HorizontalScrollbarHeight : Integer read GetHorizontalScrollbarHeight;`
| `property VerticalScrollbarWidth : Integer read GetVerticalScrollbarWidth;`

## Description

### Methods

| `procedure SetContentView(const view: ICefView);`
Set the content View. The content View must have a specified size (e.g. via ICefView.SetBounds or ICefViewDelegate.GetPreferredSize). ###### Attributes GUID['{55DF2883-0574-4F10-B6F5-DE4730964B5B}']

| `function GetContentView: ICefView;`
Returns the content View.

| `function GetVisibleContentRect: TCefRect;`
Returns the visible region of the content View.

| `function HasHorizontalScrollbar: boolean;`
Returns true (1) if the horizontal scrollbar is currently showing.

| `function GetHorizontalScrollbarHeight: Integer;`
Returns the height of the horizontal scrollbar.

| `function HasVerticalScrollbar: boolean;`
Returns true (1) if the vertical scrollbar is currently showing.

| `function GetVerticalScrollbarWidth: Integer;`
Returns the width of the vertical scrollbar.

### Properties

| `property ContentView : ICefView read GetContentView write SetContentView;`
Returns the content View.

| `property VisibleContentRect : TCefRect read GetVisibleContentRect;`
Returns the visible region of the content View.

| `property HorizontalScrollbarHeight : Integer read GetHorizontalScrollbarHeight;`
Returns the height of the horizontal scrollbar.

| `property VerticalScrollbarWidth : Integer read GetVerticalScrollbarWidth;`
Returns the width of the vertical scrollbar.

Generated by PasDoc 0.16.0-snapshot.